| Qore Pop3Client Module Reference 2.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
Pop3Client::Pop3Connection Class Reference

class for POP3 connections; returns an object of class Pop3Client for receiving or polling for emails More...

## Public Member Functions
| constructor (hash< auto > config, *hash< auto > attr)
| creates the Pop3Connection connection object
| constructor (string name, string description, string url, hash attributes={}, hash options={})
| creates the Pop3Connection connection object
string | getType ()
| returns `"pop3"`

## Public Attributes
const | ConnectionScheme = ...
| Connection entry info.

## Protected Member Functions
hash< ConnectionSchemeInfo > | getConnectionSchemeInfoImpl ()
| Returns the ConnectionSchemeInfo hash for this object.
Pop3Client | getImpl (bool connect=True, *hash< auto > rtopts)
| returns a Pop3Client object

## Detailed Description

class for POP3 connections; returns an object of class Pop3Client for receiving or polling for emails

supports the following runtime options in getImpl() for connection logging:

- `"log"`: a closure accepting a single string for logging
- `"dbglog"`: a closure taking a single string for detailed technical connection logging

Since
  Pop3Client 1.5

## Member Function Documentation

## ◆ constructor() [1/2]

Pop3Client::Pop3Connection::constructor | ( | hash< auto > | config,
|  | *hash< auto > | attr )

creates the Pop3Connection connection object

Parameters

  config | with the following keys: name (required string): the connection name display_name (optional string): the display name short_desc (optional string): a short description in plain text desc (optional string): a long description with markdown formatting url (required string): the connection URL opts (optional hash): connection options logger (optional LoggerInterface object): logger for the connection
  attr | optional connection attributes monitor (optional bool): should the connection be monitored? Default: True enabled (optional bool): is the connection enabled? Default: True locked (optional bool): is the connection locked? Default: False debug_data (optional bool): debug data? Default: False tags (optional hash): tags for the connection; no default value

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option or attribute

## ◆ constructor() [2/2]

Pop3Client::Pop3Connection::constructor | ( | string | name,
|  | string | description,
|  | string | url,
|  | hash | attributes = {},
|  | hash | options = {} )

creates the Pop3Connection connection object

Parameters

  name | the name of the connection
  description | connection description
  url | connection URL (potentially with password info)
  attributes | various attributes. See below
  options | connection options

See AbstractConnection::constructor() for `attributes` and `options` reference.

Exceptions

  CONNECTION-OPTION-ERROR | missing or invalid connection option

## ◆ getImpl()

Pop3Client Pop3Client::Pop3Connection::getImpl | ( | bool | connect = True,
|  | *hash< auto > | rtopts )
| protected

returns a Pop3Client object

Parameters

  connect | if True, then Pop3Client::Pop3Client::connect() is called
  rtopts | runtime options for the connection

Returns
  a Pop3Client object